1. 简单程序（含输出）
   ```c
   // 双斜杠后面的内容代表注释，程序是看不到的，一般用作解释该条语句的作用
   #include <stdio.h> // 导入标准的输入输出库
   
   // 程序的主要入口，程序开始的地方，所有程序代码都要写到大括号里
   main() { //不要写成mian，函数名后加上括号格式要求
       
       // C语言里出现的所有标点符号都用英文状态下的，每个语句结尾都需要分号
       // \n 转义字符，把他的含义转换为了换行符号。注意斜杠方向不要写错，正斜杠 / . 反斜杠 \
       // %d 整数类型的占位符号，有小数会被自动舍弃
       // printf 格式化输出 输出的是引号里面的内容。
       printf("TO C, or not to C: that is question."); 
       // 先有个印象，在C语言里双引号括起来的内容被叫作为字符串
   }
   ```
   
   
   
2. 变量和赋值
   ```c
   #include <stdio.h>
   
   main() {
       // 变量的作用：用于存储数据
       // 声明变量时，声明语句一定要放在程序开始的最上方。任何变量在使用前，都需要先声明
       // 声明变量的方法：先写变量类型，然后空格，写上变量名称
       // 变量类型：四种
       // int(整数) | float（单精度浮点数）
       // double(双精度浮点数) | char(字符)
       // 变量名称：取名时有以下四种规则
       // 1.只能是以数字、字母、下划线组合而成
       // 2.不能以数字开头
       // 3.区分大小写
       // 4.不能使用C语言已经使用的关键词
       int a;
       int a1, a2; // 多个相同变量一起定义时，可以写成一行，中间用英文逗号隔开即可
       float b;
       double c;
       char d;
       // 赋值符号 即等于号
       // 作用是将等号右边的算式运算完毕之后，存储到等号左边的变量当中去，
       // 所以赋值符号的左边只能是一个变量名，右边最终结果一定是一个值
       // 对变量初始化
       a = 5;
       a = 3; // 注意 新来的值会干掉老数值，鸠占鹊巢，所以现在变量a里的值就不在是5，变成3了
       b = 5.2;
       c = 3.1415926;
       d = 'a' // 字符需要用单引号括起来，多个字符连在一起叫做字符串，字符串需要用双引号括起来，
               // 例如printf和scanf函数里使用的双引号括起来的就是字符串内容
       printf("%d", a); // 注意在使用变量时，一定要确定变量里有没有值，
       				 // 定义变量没有给变量值，直接使用，最后算出的值一定会有问题
   }
   ```
   
   简单C程序实例
   
   ```c
   #include <stdio.h>
   
   main() {
   	int a, b, c;
   	a = 10;
   	b = 20;
   	c = a + b;
   	printf("%d", c);
   }
   ```
   
3. 输入
   ```c
   #include <stdio.h>
   
   main() {
   	int year, month, day;
       // scan 扫描（引申为输入） f format 格式化 格式化输入
       // 我们用户输入的数据，电脑如若想要使用，则必须把输入的数据保存下来，
       // 在编程语言中，有保存储数据能力的只有变量
       // 所以我们会把输入搭配变量一起使用
       // 注意在使用scanf函数时，一定要把占位符号与变量的个数一一对应上，有几个占位符，
       // 后面写时就需要写几个变量名，并且在scanf函数里，每个变量名前都需要加上 & 符号
   	scanf("%d.%d.%d", &year, &month, &day);
       // 按照我们自己设定的格式去输入，每个数据中间要有.分割
       // 如若不设置格式，C语言会默认把空格与换行符当做内容的分隔符
       printf("生日是%d年%d月%d日", year, month, day);
   }
   ```
   
4. 作业
   ```c
   /*
   打印出来一个勾的图形
   */
   #include <stdio.h>
   
   main() {
   	printf("       *\n");	
   	printf("      * \n");
   	printf("     *  \n");	
   	printf("*   *   \n");
   	printf(" * *    \n");	
   	printf("  *     \n");
   } 
   ```

   ```c
   /*
   输入两个数字，计算这两个数字的加减乘数结果
   */
   #include <stdio.h>
   
   main() {
   	int a, b; // 多个相同变量一起定义时，可以写成一行，中间用英文逗号隔开即可 
    	scanf("%d%d", &a, &b);
    	printf("%d + %d = %d\n", a, b, a + b); // 有几个占位符，后面就写几个变量
    	printf("%d - %d = %d\n", a, b, a - b);
    	printf("%d * %d = %d\n", a, b, a * b);
    	printf("%d / %d = %d\n", a, b, a / b);
   }
    
   ```

   